CentOS 6.5 to 7.0 upgrade broke roundcube

Good day all. All I did was a “yum update” command and updated. I got a message “96 packages excluded due to repository priority protections”.

Roundcube was working perfectly before I did this. Imap still functions perfectly, but webmail url now has a strange plain text login which does nothing but give an error when you try to login.

“yum update -d3” command shows 96 packages that gives the excluded error. Among them is php and a roundcube package. I can get the complete list if needed.

Suggestions are welcomed.